Skip to main content
GET
/
api
/
v1
/
tasks
Get paginated list of tasks
curl --request GET \
  --url https://{subdomain}.mihu.ai/api/v1/tasks \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{subdomain}.mihu.ai/api/v1/tasks"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{subdomain}.mihu.ai/api/v1/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"

Query Parameters

page
integer
default:1

Page number

per_page
integer
default:15

Number of items per page (max 100)

Required range: x <= 100
type
enum<string>

Filter by task type

Available options:
send_message,
make_call,
send_email,
follow_up,
appointment,
survey,
notification,
webhook,
custom
status
enum<string>

Filter by task status

Available options:
pending,
scheduled,
queued,
in_progress,
completed,
failed,
cancelled,
expired,
on_hold
contact_uuid
string<uuid>

Filter by contact UUID

campaign_uuid
string<uuid>

Filter by campaign UUID

agent_uuid
string<uuid>

Filter by agent UUID

priority
integer

Filter by priority

Required range: 1 <= x <= 10
scheduled_from
string<date-time>

Filter tasks scheduled from this date (ISO 8601)

scheduled_to
string<date-time>

Filter tasks scheduled until this date (ISO 8601)

Response

Tasks retrieved successfully